Skip to main content
GET
Get Series Release

Request contract

  • Method and path: GET /apis/v1/fred/series/release
  • Availability: enabled
  • Request URL template: https://api.aisa.one/apis/v1/fred/series/release
  • file_type: query; optional
  • realtime_end: query; optional
  • realtime_start: query; optional
  • series_id: query; required
Complete OpenAPI definition Effective request declaration (including authentication and referenced schemas):

Cost and request rules

Published reference price: $0.00001 USD per successful request. Your account price may differ; use a request quote where supported.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

file_type
enum<string>
default:xml

A key or file extension that indicates the type of file to send. string, optional, default: xml One of the following values: 'xml', 'json' xml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json. xml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json.

Available options:
xml,
json
realtime_end
string<date>

The end of the real-time period. For more information, see Real-Time Periods . YYYY-MM-DD formatted string, optional, default: today's date

realtime_start
string<date>

The start of the real-time period. For more information, see Real-Time Periods . YYYY-MM-DD formatted string, optional, default: today's date

series_id
string
required

The id for a series. string, required

Response

Successful response. The payload schema has not been reviewed yet.